Skip to main content
GET
/
api
/
v2
/
tokens
/
{tokenId}
Get Token By Id
curl --request GET \
  --url https://gateway.paybyrd.com/api/v2/tokens/{tokenId} \
  --header 'x-api-key: <api-key>'
{
  "tokenId": "512f2ebd-0256-423d-9d6f-433606c15f41",
  "customReference": "Wallet123",
  "alias": "MyPersonalCard1",
  "brand": "MASTER",
  "expiration": "12/25",
  "maskedCardNumber": "514968******8886"
}

Authorizations

x-api-key
string
header
required

Path Parameters

tokenId
string
required

The token identifier generated by Paybyrd.

Response

200 - application/json

200

tokenId
string

The id of the token

Example:

"5d3491c3-8978-4ff5-8d74-31b0b0499b01"

customReference
string

The aggregated reference of the token (can be a walletId, customerId, etc...)

Example:

"Wallet123"

alias
string

The Alias sent in the CardTokenizeRequest

Example:

"PersonalCard"

brand
string

The brand of the card

Example:

"MASTER"

maskedCardNumber
string

The masked card number

Example:

"514968******8886"